# Loki::RateLimitedCreation Class Reference
[Creation policies]

Limit in rate. More...

`#include <CachedFactory.h>`

List of all members.

## Detailed Description

Limit in rate.

This implementation will prevent from Creating more than maxCreation objects within byTime ms by throwing an exception. Could be usefull to detect prevent loads (http connection for instance). Use the setRate method to set the rate parameters. default is 10 objects in a second.

The documentation for this class was generated from the following file:

- CachedFactory.h